<?php

namespace Modules\Settings\Models\Traits;

use Illuminate\Database\Eloquent\Relations\MorphOne;
use Modules\Settings\Models\BankInfo;

trait HasBankInfo
{
    public function bankInfo(): MorphOne
    {
        return $this->morphOne(BankInfo::class, 'bankinfoable');
    }
}
